<template>
  <div class="flex px-2 overflow-x-auto gap-2 tab-type-container">
    <RouterLink
      v-for="(tab, index) in menuTabHeaders"
      :key="`tab-${index}`"
      class="w-14 h-14 flex items-center justify-center rounded-full relative shrink-0 bg-5 concrete-tab-btn"
      :class="{ 'router-link-active': currentActiveTab === tab.TabURL }"
      :to="tab.TabURL"
    >
      <component
        :is="tabIcons[tab.TabType]"
        class="w-6 h-6 tab-type-icon"
      ></component>
      <IconSelected class="active-icon absolute top-1 left-1 w-12 h-12" />
    </RouterLink>
  </div>
</template>

<script setup lang="ts">
import IconSelected from "~~/assets/icons/tabs/selected.svg?component";
import IconSports from "~~/assets/icons/tabs/sports.svg?component";
import IconVirtualSports from "~~/assets/icons/tabs/virtual-sports.svg?component";
import IconGames from "~~/assets/icons/tabs/games.svg?component";
import IconLottery from "~~/assets/icons/tabs/lottery.svg?component";
import IconCockFight from "~~/assets/icons/tabs/cockfighting.svg?component";
import IconPoker from "~~/assets/icons/tabs/poker.svg?component";
import IconKeno from "~~/assets/icons/tabs/keno.svg?component";
import IconLiveCasino from "~~/assets/icons/tabs/live-casino.svg?component";

const tabIcons: Record<string, Component> = {
  Sports: IconSports,
  "Virtual Sports": IconVirtualSports,
  "Live Casino": IconLiveCasino,
  Games: IconGames,
  Lottery: IconLottery,
  "Cock Fight": IconCockFight,
  Poker: IconPoker,
  Keno: IconKeno,
};

const route = useRoute();

const currentActiveTab = computed(() => {
  if (route.name === "index") {
    const firstTab = menuTabHeaders.value[0];
    return firstTab.TabURL;
  }
  return route.path;
});
</script>

<style lang="scss">
.concrete-tab-btn {
  &:not(.router-link-active) {
    .tab-type-icon {
      opacity: 0.8;
    }
    .active-icon {
      display: none;
    }
  }

  &.router-link-active {
    color: var(--primary);
  }
}
.tab-type-container {
  &::-webkit-scrollbar {
    height: 0px;
  }
}
</style>
